BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/captions/words/retime

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/captions/words/retime" \  -H "Content-Type: application/json" \  -d '{    "updates": [      {        "word_id": "string",        "start_seconds": 0,        "end_seconds": 0      }    ]  }'
{  "success": true,  "updates": [    {      "word_id": "string",      "caption_id": "string",      "old_start_units": 0,      "old_end_units": 0,      "new_start_units": 0,      "new_end_units": 0,      "old_start_seconds": 0,      "old_end_seconds": 0,      "new_start_seconds": 0,      "new_end_seconds": 0    }  ],  "affected_caption_ids": [    "string"  ],  "words": [    {      "id": "string",      "word": "string",      "order_index": 0,      "start_units": 0,      "end_units": 0    }  ],  "message": "string"}